Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004655 [JEDI VCL] 00 JVCL Components minor always 2009-01-09 11:44 2009-10-25 19:19
Reporter R2D2-Master View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004655: JvDBGrid Auto Append Issue
Description When 'Options,dgTabs' is True and 'AutoAppend' is False.

If you tab through all the fields and get to the last Field it will AutoAppend a Next Record. I expect when AutoAppend is False it should not create a next record.

Thanks
Additional Information Windows XP, Delphi 2007 all Patches
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015257)
R2D2-Master (reporter)
2009-01-22 23:38

You can reproduce this problem by opening the example program called 'JvDBGridExport' set the jvdbgrid property 'AutoAppend' option to false.
Go stand on the last line then press tab to the last field when you go past the last field(column) it will autoappend a new line.
(0015258)
R2D2-Master (reporter)
2009-01-22 23:39

Problem is also in v3.36
(0015450)
obones (administrator)
2009-04-29 11:45

Doesn't this also happen with a standard DBGrid?
(0015460)
R2D2-Master (reporter)
2009-04-29 12:34

I haven't tested it, I will find time to test it.
(0015829)
obones (administrator)
2009-07-09 17:13

Any news?
(0015859)
R2D2-Master (reporter)
2009-07-17 10:02

I don't know if I must go test my eyes, but I can't find a Auto Append option in the normal DBGrid.

Thanks
(0015860)
R2D2-Master (reporter)
2009-07-17 10:06

Normal DBGrid always AutoAppend you can't switch it off.
(0015928)
obones (administrator)
2009-08-05 12:09

Someone with more DB knowledge will have to test this
(0016823)
AHUser (developer)
2009-10-25 19:19

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-01-09 11:44 R2D2-Master New Issue
2009-01-22 23:38 R2D2-Master Note Added: 0015257
2009-01-22 23:39 R2D2-Master Note Added: 0015258
2009-02-02 01:25 obones Status new => acknowledged
2009-04-29 11:45 obones Note Added: 0015450
2009-04-29 11:45 obones Status acknowledged => feedback
2009-04-29 12:34 R2D2-Master Note Added: 0015460
2009-07-09 17:13 obones Note Added: 0015829
2009-07-17 10:02 R2D2-Master Note Added: 0015859
2009-07-17 10:06 R2D2-Master Note Added: 0015860
2009-08-05 12:09 obones Note Added: 0015928
2009-08-05 12:09 obones Status feedback => acknowledged
2009-10-25 19:19 AHUser Note Added: 0016823
2009-10-25 19:19 AHUser Status acknowledged => resolved
2009-10-25 19:19 AHUser Fixed in Version => Daily / SVN
2009-10-25 19:19 AHUser Resolution open => fixed
2009-10-25 19:19 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker